aboutsummaryrefslogtreecommitdiff
path: root/misc
diff options
context:
space:
mode:
authorTobias M. Monckton <tmmonckton@gmail.com>2023-09-15 22:20:15 +0900
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-09-17 00:10:20 +0700
commit15838786dd98a73438d59bd343c634ca5a3b7bac (patch)
tree11a035c2dcfd1548d1e2b5be51642dc605d989b9 /misc
parent997e3a2642f359e723820fadfec50858ccaa5325 (diff)
downloadslackbuilds-15838786dd98a73438d59bd343c634ca5a3b7bac.tar.xz
misc/binclock: Added (binary terminal clock).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/binclock/README5
-rw-r--r--misc/binclock/binclock.SlackBuild93
-rw-r--r--misc/binclock/binclock.info10
-rw-r--r--misc/binclock/slack-desc19
4 files changed, 127 insertions, 0 deletions
diff --git a/misc/binclock/README b/misc/binclock/README
new file mode 100644
index 000000000000..fdcf0c629c33
--- /dev/null
+++ b/misc/binclock/README
@@ -0,0 +1,5 @@
+binclock is a simple program to display an ASCII binary clock in the
+terminal. Comes with fancy color support as well.
+
+You can also change the character it uses to display "dots" in a
+config file, stored either in ~/.binclockrc or /etc/binclockrc .
diff --git a/misc/binclock/binclock.SlackBuild b/misc/binclock/binclock.SlackBuild
new file mode 100644
index 000000000000..23ac200bd54b
--- /dev/null
+++ b/misc/binclock/binclock.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/bash
+
+# Slackware build script for binclock
+
+# Copyright 2023 Tobias M. Monckton
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=binclock
+VERSION=${VERSION:-1.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# There's no need for LIBDIRSUFFIX for this piece of software, so only
+# set arch-appropriate SLKCFLAGS.
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ :
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/man/man1 $PKG/usr/bin $PKG/usr/bin
+make DESTDIR=$PKG CFLAGS="${SLKCFLAGS}"
+make install DESTDIR=$PKG MANPATH=$PKG/usr/man/man1 HOME=$(pwd) INSPATH=$PKG/usr/bin
+
+gzip -9 $PKG/usr/man/man1/$PRGNAM.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp binclockrc $PKG/usr/doc/$PRGNAM-$VERSION/${PRGNAM}rc.example
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/misc/binclock/binclock.info b/misc/binclock/binclock.info
new file mode 100644
index 000000000000..146d6ded1b56
--- /dev/null
+++ b/misc/binclock/binclock.info
@@ -0,0 +1,10 @@
+PRGNAM="binclock"
+VERSION="1.5"
+HOMEPAGE="http://www.ngold.de/binclock/"
+DOWNLOAD="http://www.ngolde.de/download/binclock-1.5.tar.gz"
+MD5SUM="d26ea67970c782ee56c87595ed3bfef0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Tobias M. Monckton"
+EMAIL="tmmonckton@gmail.com"
diff --git a/misc/binclock/slack-desc b/misc/binclock/slack-desc
new file mode 100644
index 000000000000..06af6d2fcf4e
--- /dev/null
+++ b/misc/binclock/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+binclock: binclock (simple ASCII binary clock for the terminal)
+binclock:
+binclock: binclock is a simple ASCII binary clock for the terminal, with color
+binclock: support and the ability to customize the "dots" used for printing
+binclock: the system time.
+binclock:
+binclock:
+binclock:
+binclock:
+binclock:
+binclock: